
Foreman - Feature #4410

Tooltip for puppet parameters

02/21/2014 02:21 PM - Magnus Jernberg

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2610

  

Description

In the Host Group - parameters view, i would like to implement tooltip when hovering over the parameter name. the reason is that we

have long puppet parameter names and need to, easily, know which ones to override when setting up the host groups.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Has duplicate Foreman - Bug #5868: Overridden smart class parameter name fiel... New 05/22/2014

Associated revisions

Revision f0582067 - 08/17/2015 09:55 AM - Amir Fefer

Fixes #11371,#4410 - puppet parameters truncated and tooltip added

History

#1 - 02/21/2014 02:24 PM - Dominic Cleal

- Category set to Web Interface

- translation missing: en.field_release deleted (7)

#2 - 03/04/2014 10:05 AM - Dominic Cleal

- Related to Tracker #4470: Usability of parameters and overrides added

#3 - 05/15/2014 08:36 AM - Dominic Cleal

- Related to Bug #5733: Puppet class names get shortened added

#4 - 05/22/2014 08:46 AM - Dominic Cleal

- Has duplicate Bug #5868: Overridden smart class parameter name field is too short in the UI added

#5 - 05/22/2014 08:46 AM - Dominic Cleal

Please also see #5868 for a good description with screenshots.

#6 - 05/28/2015 10:20 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#7 - 08/16/2015 07:48 AM - Ori Rabin

- Related to deleted (Bug #5733: Puppet class names get shortened)

#8 - 08/16/2015 10:20 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2610 added
- Pull request deleted ()

#9 - 08/16/2015 02:17 PM - Tomer Brisker

- Assignee changed from Tomer Brisker to Amir Fefer

#10 - 08/17/2015 10:03 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f058206727367735eb7086afc6fca38401561a6e.

#11 - 08/17/2015 10:08 AM - Dominic Cleal

- % Done changed from 100 to 0

- translation missing: en.field_release set to 63
